"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFull = void 0;
const slim_1 = require("./slim");
const Trail_1 = require("./Interactions/External/Trail");
const Tilt_1 = require("./Updaters/Tilt");
const Wobble_1 = require("./Updaters/Wobble");
const plugin_1 = require("./Plugins/Absorbers/plugin");
const plugin_2 = require("./Plugins/Emitters/plugin");
const plugin_3 = require("./Plugins/PolygonMask/plugin");
const Roll_1 = require("./Updaters/Roll");
function loadFull(tsParticles) {
    (0, slim_1.loadSlim)(tsParticles);
    (0, Trail_1.loadExternalTrailInteraction)(tsParticles);
    (0, Roll_1.loadRollUpdater)(tsParticles);
    (0, Tilt_1.loadTiltUpdater)(tsParticles);
    (0, Wobble_1.loadWobbleUpdater)(tsParticles);
    (0, plugin_1.loadAbsorbersPlugin)(tsParticles);
    (0, plugin_2.loadEmittersPlugin)(tsParticles);
    (0, plugin_3.loadPolygonMaskPlugin)(tsParticles);
}
exports.loadFull = loadFull;
